<div ng-include="'../templates/sideNavBar.html'"></div>
<div class="container">
    <h2 style="color:white;">Employee Details</h2>
    <button type="button" class="btn btn-primary" ui-sref="employees">ADD NEW EMPLOYEE</button>
    <!-- <button type="button" class="btn btn-primary" ui-sref="vendors">ADD NEW VENDOR</button>-->

    <div class="col-md-3 col-sm-3 col-xs-8 form-group pull-right top_search">
        <div class="input-group">
            <input type="text" class="form-control" placeholder="Search for..." ng-model="searchtext">
        </div>
    </div>
    <br/><br/>

    <table class="table table-striped table-dark table-bordered">
        <thead>
        <tr>
            <th scope="col">PHOTO</th>
            <th scope="col">EMPLOYEE ID</th>
            <th scope="col">NAME</th>
            <th scope="col">CITY</th>
            <th scope="col">MOBILE NUMBER</th>
            <th scope="col">MONTHLY SALARY</th>
            <th scope="col">ACTION</th>
        </tr>
        </thead>
        <tbody>
        <tr dir-paginate="employee in employeeList|filter:searchtext|itemsPerPage:4">
            <td>
                <img src="{{employee.employeePhoto}}" style="height:50px; width:50px; border-radius:30px;"
                     class="card-img-top"/>
            </td>
            <td>{{employee.employeeId}}</td>
            <td>{{employee.name}}</td>
            <td>{{employee.city}}</td>
            <td>{{employee.mobileNumber}}</td>
            <td>{{employee.monthlySalary}}</td>
            <td>
                <button type="button" class="btn btn-info" ui-sref="employeeedit({employeeId:employee._id})">edit
                </button>
                <button type="button" class="btn btn-danger" ng-click="deleteEmployee(employee._id)">delete</button>
                <button type="button" class="btn btn-primary" ui-sref="advance({employeeId:employee._id})"
                        data-toggle="modal">Add Advance
                </button>
                <button type="button" class="btn btn-primary" ui-sref="leaves({employeeId:employee._id})">Add leave
                </button>
                <button type="button" class="btn btn-primary"
                        ui-sref="advancedetails({employeeId:employee.employeeId})">view Advance <span
                        class="glyphicon glyphicon-eye-open"></span></button>
                <button type="button" class="btn btn-primary"
                        ui-sref="employeeleavedetails({employeeId:employee.employeeId})">view leave <span
                        class="glyphicon glyphicon-eye-open"></span></button>
            </td>

        </tr>

        </tbody>
    </table>

    <dir-pagination-controls class="paging" style="margin-left:450px;"
                             max-size="3"
                             direction-links="true"
                             boundary-links="true">
    </dir-pagination-controls>


</div>


<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
     aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Modal title</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                Are you sure want to delete it
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
                <button type="button" class="btn btn-primary">Delete</button>
            </div>
        </div>
    </div>
</div>
<!--Add Advance-->

<div class="modal fade" id="addAdvance" role="dialog">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title">Add Advance</h4>
            </div>

            <div class="container">
                <div class="col-2 " style="overflow: hidden">
                    <form method="post">
                        <div class="form-group ">
                            <label class="col-2 col-form-label">Employee Id</label>
                            <div class="col-2">
                                <input type="text" class="form-control" ng-model="employee.employeeId"
                                       placeholder="employeeId" required="required"/>

                            </div>
                        </div>

                    </form>
                </div>
            </div>
            <div class="modal-body">
                <form method="post">
                    <input type="text" name="u" ng-model="employee.employeeId" placeholder="employeeId" readonly
                           class="form-control-plaintext" required="required"/>
                    <input type="text" name="p" ng-model="employee.name" placeholder="employeeName" readonly
                           class="form-control-plaintext" required="required"/>
                    <input type="text" name="u" ng-model="employee.monthlySalary" placeholder="employeeSalary" readonly
                           class="form-control-plaintext" required="required"/>
                    <input type="text" name="p" ng-model="advance.salaryInAdvance" placeholder="Advanceinsalary"
                           required="required"/>
                    <div class="form-group">
                        <div class="input-group" ng-controller="dateandtimepicCtrl as ctrl">
                            <input type="text" class="form-control" placeholder="dateOfAdvance" datetime-picker
                                   ng-model="advance.dateOfAdvance" is-open="ctrl.picker6.open"
                                   ng-change="dateAndTime(ctrl.picker6.date);changingDateValue(ctrl.picker6.date)"
                                   ng-init="ctrl.picker6.date"/>
                            <span class="input-group-btn">
                    <button type="button" class="btn btn-default" style="margin-top:0px;"
                            ng-click="ctrl.openCalendar($event, 'picker6')"><span
                            class="glyphicon glyphicon-calendar"></span>
                    </button>
                </span>
                        </div>
                    </div>
                    <button type="submit" ng-click="saveAdvanceDetails()" class="btn btn-primary btn-block btn-large">
                        Submit
                    </button>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>

<div ng-include="'../templates/footer.html'"></div>





